#127005 Gravity Forms 2.5.7 Jupiter Core conflict

Landing Forums Jupiter WordPress Theme Gravity Forms 2.5.7 Jupiter Core conflict

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • Carlos Espinosa

    Hi there–we have lost essential functionality for Gravity Forms since the 2.5.7 update.

    We have worked through the Health Check & Troubleshooting Plugin and identified the conflict with Gravity Forms and Jupiter Core. When editing a form the field customization menus do not expand/collapse preventing access to configuration settings for the forms. All plugin and Jupiter theme active, with Jupiter Core inactive–all functionality is accessible for Gravity Forms. When we activate Jupiter Core, functionality breaks.

    I have reached out to the plugin author and followed their recommended steps which helped identify the Jupiter Core issue and apparently a conflict with the “jqEditorAccordions” along with a few other issues that are found in the console errors.

     

    Console Errors:
    Uncaught TypeError: gform.initializeOnLoaded is not a function
    at form_admin.min.js:1

    Uncaught TypeError: Cannot read property ‘mergeObjects’ of undefined
    at new gform.components.dropdown (form_admin.min.js:1)
    at admin.php?page=gf_edit_forms&id=10:790

    Uncaught TypeError: Cannot read property ‘handleUnsavedChanges’ of undefined
    at HTMLDocument.<anonymous> (form_admin.min.js:1)
    at e (jquery.min.js:2)
    at t (jquery.min.js:2)

    Uncaught TypeError: Cannot read property ‘jqEditorAccordions’ of undefined
    at HTMLDocument.<anonymous> (form_editor.min.js:1)
    at e (jquery.min.js:2)
    at t (jquery.min.js:2)

    Console Alerts:
    jQuery.Deferred exception: Cannot read property ‘handleUnsavedChanges’ of undefined TypeError: Cannot read property ‘handleUnsavedChanges’ of undefined
    at HTMLDocument.<anonymous> (https://pawsforpurplehearts.org/wp-content/plugins/gravityforms/js/form_admin.min.js:1:15487)
    at e (https://pawsforpurplehearts.org/wp-includes/js/jquery/jquery.min.js:2:30005)
    at t (https://pawsforpurplehearts.org/wp-includes/js/jquery/jquery.min.js:2:30307) undefined
    S.Deferred.exceptionHook @ jquery.min.js:2

    Query.Deferred exception: Cannot read property ‘jqEditorAccordions’ of undefined TypeError: Cannot read property ‘jqEditorAccordions’ of undefined
    at HTMLDocument.<anonymous> (https://pawsforpurplehearts.org/wp-content/plugins/gravityforms/js/form_editor.min.js:1:88043)
    at e (https://pawsforpurplehearts.org/wp-includes/js/jquery/jquery.min.js:2:30005)
    at t (https://pawsforpurplehearts.org/wp-includes/js/jquery/jquery.min.js:2:30307) undefined
    S.Deferred.exceptionHook @ jquery.min.js:2

     

     

    Mohsin Al-Rabieai Support Team

    Hi Carlos,

    Sorry for the delayed response. I have escalated this to our developers. They will check this and in case there was an issue with our theme, they will resolve it and I will provide a patch for you. Please note that we may need your WP admin credentials along with working FTP access. Can you please provide them in the next PRIVATE reply?

    Bests

Viewing 2 posts - 1 through 2 (of 2 total)
You must be logged in to reply to this topic.
Login